unable to add shapefile with duplicated field name / no abre shp con nombre de campos repetidos
02/06/2012 03:54 PM - Mario Fevre

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Document view
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2043 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

en:
When try to add shp with two fields with the same name, you get and error and layer is not added.
shp should not have duplicated fields names, but sometimes happens, linking tables or importing fields may produce this efect. And
previous versions of gvSIG were able to deal with this situation.

es:
Al intentar cargar una capa que tiene dos campos con el mismo nombre, da error y la capa no se carga.
los sho no deberían tener nombres de campos repetidos, pero a veces pasa, uniendo tablas, o importando campos puede ocurrir.
además la versiones anteriores de gvsig permitían esta situación.

History
#1 - 02/08/2012 08:34 AM - Jorge Piera

Mario, the zip that you have added doesn't contain the dbf file.

#2 - 02/08/2012 03:32 PM - Mario Fevre
- File deleted (Conurbano.zip)

#3 - 02/08/2012 03:33 PM - Mario Fevre
- File Conurbano.zip added

#4 - 02/08/2012 03:37 PM - Mario Fevre
- Subject changed from uneble to add shapefile with duplicated field name / no abre shp con nombre de campos repetidos to unable to add shapefile 
with duplicated field name / no abre shp con nombre de campos repetidos

#5 - 04/07/2012 08:29 PM - Manuel Madrid
- Priority changed from Normal to High

#6 - 05/13/2013 06:05 PM - Manuel Madrid
- Category set to Document view

#7 - 09/23/2013 08:18 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez
#8 - 09/23/2013 10:06 AM - Juan Lucas Domínguez
- Status changed from New to Awaiting response

DBF files with field names which have the same initial 11 characters are rejected (field name length is limited to 11 characters).

If there is a join operation etc with repeated names, then please describe an example.

#9 - 09/23/2013 05:25 PM - Mario Fevre

I could not repeat de name duplication on gvSIG 2.x. or gvSIG 1.9
I'm not sure on what version I generated those files.
Still version 1.9 seems more functional allowing to open the conflictive file.

#10 - 11/29/2013 12:54 PM - Juan Lucas Domínguez
- Status changed from Awaiting response to Fixed

DBF files with duplicated names are not valid, they are considered corrupt and a error dialog appears.

#11 - 01/13/2014 08:50 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#12 - 01/27/2014 12:46 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
duplicated_field_name_gvSIG.log 182 KB 02/06/2012 Mario Fevre
Conurbano.zip 94.8 KB 02/08/2012 Mario Fevre
